<?php
/*
*
* @package Message Note
* @author Lehrling (forumstyling.bplaced.net)
* @copyright (c) 2018 by Lehrling (forumstyling.bplaced.net)
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
* 
*/

namespace lehrling\message_note\event;

/**
* @ignore
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
    /** @var \phpbb\config\config */
    protected $config;

    /** @var \phpbb\template\template */
    protected $template;

    /** @var \phpbb\user */
    protected $user;

    /**
    * Constructor
    *
    * @param \phpbb\config\config                    $config                    Config object
    * @param \phpbb\template\template                $template                Template object
    * @param \phpbb\user                            $user                    User object
    */
    public function __construct(\phpbb\config\config $config, \phpbb\template\template $template, \phpbb\user $user)
    {
        $this->config        = $config;
        $this->template        = $template;
        $this->user            = $user;
    }

    static public function getSubscribedEvents()
    {
        return array(
            'core.user_setup'                => 'load_language_on_setup',
           
        );
    }

    public function load_language_on_setup($event)
    {
        $lang_set_ext = $event['lang_set_ext'];
        $lang_set_ext[] = array(
            'ext_name'        => 'lehrling/message_note',
            'lang_set'        => 'message_note',
        );
        $event['lang_set_ext'] = $lang_set_ext;
    }

    
}